### Method

# Gtk TextIter backward_line

#### Declaration [src]

    gboolean
    gtk_text_iter_backward_line (
      GtkTextIter* iter
    )

#### Description [src]

Moves `iter` to the start of the previous line.

Returns `TRUE` if `iter` could be moved; i.e. if `iter` was at character offset 0, this function returns `FALSE`. Therefore, if `iter` was already on line 0, but not at the start of the line, `iter` is snapped to the start of the line and the function returns `TRUE`. (Note that this implies that in a loop calling this function, the line number may not change on every iteration, if your first iteration is on line 0.).

#### Return value

Type: `gboolean`

Whether `iter` moved.